Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZIdentifierType Class Reference

The class eZIdentifierType does. More...

Inheritance diagram for eZIdentifierType:

## Public Member Functions
| __construct ()
| validateObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| fetchObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| storeObjectAttribute ( $contentObjectattribute)
| objectAttributeContent ( $contentObjectAttribute)
| toString ( $contentObjectAttribute)
| fromString ( $contentObjectAttribute, $string)
| hasObjectAttributeContent ( $contentObjectAttribute)
| initializeClassAttribute ( $classAttribute)
| validateClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fetchClassAttributeHTTPInput ( $http, $base, $classAttribute)
| metaData ( $contentObjectAttribute)
| title ( $contentObjectAttribute, $name=null)
| isIndexable ()
| initializeObjectAttribute ( $contentObjectAttribute, $currentVersion, $originalContentObjectAttribute)
| onPublish ( $contentObjectAttribute, $contentObject, $publishedNodes)
| sortKey ( $contentObjectAttribute)
| sortKeyType ()
| generateIdentifierString ( $contentClassAttribute, $identifierValue=false)
| customClassAttributeHTTPAction ( $http, $action, $contentClassAttribute)
| preStoreClassAttribute ( $classAttribute, $version)
| preStoreDefinedClassAttribute ( $classAttribute)
| serializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| unserializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
Public Member Functions inherited from eZDataType
| __construct ( $dataTypeString, $name, $properties=array())
| eZDataType ( $dataTypeString, $name, $properties=array())
| viewTemplate ( $contentobjectAttribute)
| editTemplate ( $contentobjectAttribute)
| informationTemplate ( $contentobjectAttribute)
| resultTemplate (&$collectionAttribute)
| isA ()
| isTranslatable ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| isHTTPFileInsertionSupported ()
| isRegularFileInsertionSupported ()
| isSimpleStringInsertionSupported ()
| isRelationType ()
| insertHTTPFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $httpFile, $mimeData, &$result)
| insertRegularFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $filePath, &$result)
| insertSimpleString ( $object, $objectVersion, $objectLanguage, $objectAttribute, $string, &$result)
| hasStoredFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| handleDownload ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| storedFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| productOptionInformation ( $objectAttribute, $optionID, $productItem)
| objectDisplayInformation ( $objectAttribute, $mergeInfo=false)
| classDisplayInformation ( $classAttribute, $mergeInfo=false)
| classAttributeContent ( $classAttribute)
| storeClassAttribute ( $classAttribute, $version)
| storeDefinedClassAttribute ( $classAttribute)
| storeModifiedClassAttribute ( $classAttribute)
| storeVersionedClassAttribute ( $classAttribute, $version)
| preStoreModifiedClassAttribute ( $classAttribute)
| preStoreVersionedClassAttribute ( $classAttribute, $version)
| fixupClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fetchActionValue ( $action, $actionName, &$value)
| fixupObjectAttributeHTTPInput ( $http, $base, $objectAttribute)
| validateCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fixupCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fetchCollectionAttributeHTTPInput ( $collection, $collectionAttribute, $http, $base, $objectAttribute)
| customObjectAttributeHTTPAction ( $http, $action, $objectAttribute, $parameters)
| handleCustomObjectHTTPActions ( $http, $attributeDataBaseName, $customActionAttributeArray, $customActionParameters)
| cloneClassAttribute ( $oldClassAttribute, $newClassAttribute)
| repairContentObjectAttribute ( $contentObjectAttribute)
| postInitializeObjectAttribute ( $objectAttribute, $currentVersion, $originalContentObjectAttribute)
| postStore ( $objectAttribute)
| trashStoredObjectAttribute ( $objectAttribute, $version=null)
| restoreTrashedObjectAttribute ( $objectAttribute)
| deleteStoredObjectAttribute ( $objectAttribute, $version=null)
| deleteStoredClassAttribute ( $classAttribute, $version=null)
| deleteNotVersionedStoredClassAttribute (eZContentClassAttribute $classAttribute)
| contentActionList ( $classAttribute)
| hasInformationCollection ()
| isAddToBasketValidationRequired ()
| validateAddToBasket ( $objectAttribute, $data, &$errors)
| isClassAttributeRemovable ( $classAttribute)
| classAttributeRemovableInformation ( $classAttribute, $includeAll=true)
| isInformationCollector ()
| customSorting ()
| customSortingSQL ( $params)
| templateList ()
| serializeContentObjectAttribute ( $package, $objectAttribute)
| unserializeContentObjectAttribute ( $package, $objectAttribute, $attributeNode)
| postUnserializeContentObjectAttribute ( $package, $objectAttribute)
| removeRelatedObjectItem ( $contentObjectAttribute, $objectID)
| fixRelatedObjectItem ( $contentObjectAttribute, $objectID, $mode)
| createContentObjectAttributeDOMNode ( $objectAttribute)
| diff ( $old, $new, $options=false)
| getDBAFileName ()
| getDBAFilePath ( $checkExtensions=true)
| getDBAExtensionFilePath ()
| importDBDataFromDBAFile ( $dbaFilePath=false)
| batchInitializeObjectAttributeData ( $classAttribute)
| supportsBatchInitializeObjectAttribute ()

## Public Attributes
const | PRETEXT_FIELD = "data_text1"
const | PRETEXT_VARIABLE = "_ezidentifier_pretext_value_"
const | POSTTEXT_FIELD = "data_text2"
const | POSTTEXT_VARIABLE = "_ezidentifier_posttext_value_"
const | START_VALUE_FIELD = "data_int1"
const | START_VALUE_VARIABLE = "_ezidentifier_start_integer_value_"
const | DIGITS_FIELD = "data_int2"
const | DIGITS_VARIABLE = "_ezidentifier_digits_integer_value_"
const | IDENTIFIER_FIELD = "data_int3"
const | IDENTIFIER_VARIABLE = "_ezidentifier_identifier_value_"
const | DATA_TYPE_STRING = "ezidentifier"
| $IntegerValidator
Public Attributes inherited from eZDataType
| $Attributes
| $DataTypeString
| The datatype string ID, used for uniquely identifying a datatype. More...
| $Name
| The descriptive name of the datatype, usually used for displaying to the user. More...

## Private Member Functions
| assignValue ( $contentClassAttribute, $contentObjectAttribute)
| storeIdentifierValue ( $contentClassAttribute, $contentObjectAttribute, $identifierValue)

## Additional Inherited Members
Static Public Member Functions inherited from eZDataType
static | create ( $dataTypeString)
static | registeredDataTypes ()
static | register ( $dataTypeString, $className)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)

## Detailed Description

The class eZIdentifierType does.

Definition at line 18 of file ezidentifiertype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZIdentifierType::__construct | ( |  | ) |

Constructor

Definition at line 40 of file ezidentifiertype.php.

References ezpI18n\tr().

## Member Function Documentation

## ◆ assignValue()

eZIdentifierType::assignValue | ( |  | $contentClassAttribute,
|  |  | $contentObjectAttribute
| ) |  |
| private

Assigns the identifiervalue for the first version of the current attribute.

Definition at line 246 of file ezidentifiertype.php.

References eZDB\instance(), eZCharTransform\instance(), and storeIdentifierValue().

Referenced by initializeObjectAttribute(), and onPublish().

## ◆ customClassAttributeHTTPAction()

eZIdentifierType::customClassAttributeHTTPAction | ( |  | $http,
|  |  | $action,
|  |  | $classAttribute
| ) |  |

Executes a custom action for a class attribute which was defined on the web page.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 359 of file ezidentifiertype.php.

## ◆ fetchClassAttributeHTTPInput()

eZIdentifierType::fetchClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $classAttribute
| ) |  |

Fetches the HTTP input for the content class attribute.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 143 of file ezidentifiertype.php.

References eZContentClassAttribute\fetch().

## ◆ fetchObjectAttributeHTTPInput()

eZIdentifierType::fetchObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $objectAttribute
| ) |  |

Fetches the HTTP input for the content object attribute.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 58 of file ezidentifiertype.php.

## ◆ fromString()

eZIdentifierType::fromString | ( |  | $contentObjectAttribute,
|  |  | $string
| ) |  |

Reimplemented from eZDataType.

Definition at line 90 of file ezidentifiertype.php.

## ◆ generateIdentifierString()

eZIdentifierType::generateIdentifierString | ( |  | $contentClassAttribute,
|  |  | $identifierValue = `false`
| ) |  |

Definition at line 344 of file ezidentifiertype.php.

Referenced by objectAttributeContent(), and storeIdentifierValue().

## ◆ hasObjectAttributeContent()

eZIdentifierType::hasObjectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns
  `true` if the datatype finds any content in the attribute $contentObjectAttribute.

Reimplemented from eZDataType.

Definition at line 97 of file ezidentifiertype.php.

## ◆ initializeClassAttribute()

eZIdentifierType::initializeClassAttribute | ( |  | $classAttribute | ) |

Initializes the class attribute with some data.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 103 of file ezidentifiertype.php.

## ◆ initializeObjectAttribute()

eZIdentifierType::initializeObjectAttribute | ( |  | $objectAttribute,
|  |  | $currentVersion,
|  |  | $originalContentObjectAttribute
| ) |  |

Initializes the object attribute with some data.

Parameters

  eZContentObjectAttribute | $objectAttribute |
  int | $currentVersion |
  eZContentObjectAttribute | $originalContentObjectAttribute |

Reimplemented from eZDataType.

Definition at line 217 of file ezidentifiertype.php.

References assignValue().

## ◆ isIndexable()

eZIdentifierType::isIndexable | ( |  | ) |

Returns
  true if the datatype can be indexed

Reimplemented from eZDataType.

Definition at line 211 of file ezidentifiertype.php.

## ◆ metaData()

eZIdentifierType::metaData | ( |  | $contentObjectAttribute | ) |

Returns the meta data used for storing search indices.

Reimplemented from eZDataType.

Definition at line 198 of file ezidentifiertype.php.

## ◆ objectAttributeContent()

eZIdentifierType::objectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns the content.

Reimplemented from eZDataType.

Definition at line 73 of file ezidentifiertype.php.

References generateIdentifierString().

## ◆ onPublish()

eZIdentifierType::onPublish | ( |  | $contentObjectAttribute,
|  |  | $contentObject,
|  |  | $publishedNodes
| ) |  |

When published it will check if it needs to aquire a new unique identifier, if so it updates all existing versions with this new identifier.

Reimplemented from eZDataType.

Definition at line 234 of file ezidentifiertype.php.

References assignValue().

## ◆ preStoreClassAttribute()

eZIdentifierType::preStoreClassAttribute | ( |  | $classAttribute,
|  |  | $version
| ) |  |

Similar to the storeClassAttribute but is called before the attribute itself is stored and can be used to set values in the class attribute.

Returns
  True if the value was stored correctly.

See also
  fetchClassAttributeHTTPInput

Reimplemented from eZDataType.

Definition at line 363 of file ezidentifiertype.php.

## ◆ preStoreDefinedClassAttribute()

eZIdentifierType::preStoreDefinedClassAttribute | ( |  | $classAttribute | ) |

Parameters

  eZContentClassAttribute | $classAttribute | Content class attribute of the datatype

Reimplemented from eZDataType.

Definition at line 367 of file ezidentifiertype.php.

## ◆ serializeContentClassAttribute()

eZIdentifierType::serializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Adds the necessary dom structure to the attribute parameters.

Note
  The default is to add unsupported='true' to the attribute node, meaning that the datatype does not support serializing.

Reimplemented from eZDataType.

Definition at line 371 of file ezidentifiertype.php.

## ◆ sortKey()

eZIdentifierType::sortKey | ( |  | $objectAttribute | ) |

Returns
  the sort key for the datatype. This is used for sorting on attribute level.

Reimplemented from eZDataType.

Definition at line 321 of file ezidentifiertype.php.

References eZCharTransform\instance().

## ◆ sortKeyType()

eZIdentifierType::sortKeyType | ( |  | ) |

Returns
  the type of the sort key int|string False is returned if sorting is not supported

Reimplemented from eZDataType.

Definition at line 327 of file ezidentifiertype.php.

## ◆ storeIdentifierValue()

eZIdentifierType::storeIdentifierValue | ( |  | $contentClassAttribute,
|  |  | $contentObjectAttribute,
|  |  | $identifierValue
| ) |  |
| private

Store the new value to the attribute.

Definition at line 336 of file ezidentifiertype.php.

References generateIdentifierString().

Referenced by assignValue().

## ◆ storeObjectAttribute()

eZIdentifierType::storeObjectAttribute | ( |  | $contentObjectattribute | ) |

Store the content. Since the content has been stored in function fetchObjectAttributeHTTPInput(), this function is with empty code.

Reimplemented from eZDataType.

Definition at line 66 of file ezidentifiertype.php.

## ◆ title()

eZIdentifierType::title | ( |  | $contentObjectAttribute,
|  |  | $name = `null`
| ) |  |

Returns the text.

Reimplemented from eZDataType.

Definition at line 206 of file ezidentifiertype.php.

## ◆ toString()

eZIdentifierType::toString | ( |  | $objectAttribute | ) |

Returns
  string representation of an contentobjectattribute data for simplified export

Reimplemented from eZDataType.

Definition at line 84 of file ezidentifiertype.php.

## ◆ unserializeContentClassAttribute()

eZIdentifierType::unserializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Extracts values from the attribute parameters and sets it in the class attribute.

Note
  This function is called after the attribute has been stored and a second store is called after this function is done.

Reimplemented from eZDataType.

Definition at line 398 of file ezidentifiertype.php.

## ◆ validateClassAttributeHTTPInput()

eZIdentifierType::validateClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $classAttribute
| ) |  |

Validates the input and returns true if the input was valid for this datatype.

Reimplemented from eZDataType.

Definition at line 119 of file ezidentifiertype.php.

References eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INTERMEDIATE, and eZInputValidator\STATE_INVALID.

## ◆ validateObjectAttributeHTTPInput()

eZIdentifierType::validateObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Validates the input and returns true if the input was valid for this datatype.

Reimplemented from eZDataType.

Definition at line 54 of file ezidentifiertype.php.

## Member Data Documentation

## ◆ $IntegerValidator

eZIdentifierType::$IntegerValidator

Definition at line 427 of file ezidentifiertype.php.

## ◆ DATA_TYPE_STRING

const eZIdentifierType::DATA_TYPE_STRING = "ezidentifier"

Definition at line 35 of file ezidentifiertype.php.

## ◆ DIGITS_FIELD

const eZIdentifierType::DIGITS_FIELD = "data_int2"

Definition at line 29 of file ezidentifiertype.php.

## ◆ DIGITS_VARIABLE

const eZIdentifierType::DIGITS_VARIABLE = "_ezidentifier_digits_integer_value_"

Definition at line 30 of file ezidentifiertype.php.

## ◆ IDENTIFIER_FIELD

const eZIdentifierType::IDENTIFIER_FIELD = "data_int3"

Definition at line 32 of file ezidentifiertype.php.

## ◆ IDENTIFIER_VARIABLE

const eZIdentifierType::IDENTIFIER_VARIABLE = "_ezidentifier_identifier_value_"

Definition at line 33 of file ezidentifiertype.php.

## ◆ POSTTEXT_FIELD

const eZIdentifierType::POSTTEXT_FIELD = "data_text2"

Definition at line 23 of file ezidentifiertype.php.

## ◆ POSTTEXT_VARIABLE

const eZIdentifierType::POSTTEXT_VARIABLE = "_ezidentifier_posttext_value_"

Definition at line 24 of file ezidentifiertype.php.

## ◆ PRETEXT_FIELD

const eZIdentifierType::PRETEXT_FIELD = "data_text1"

Definition at line 20 of file ezidentifiertype.php.

## ◆ PRETEXT_VARIABLE

const eZIdentifierType::PRETEXT_VARIABLE = "_ezidentifier_pretext_value_"

Definition at line 21 of file ezidentifiertype.php.

## ◆ START_VALUE_FIELD

const eZIdentifierType::START_VALUE_FIELD = "data_int1"

Definition at line 26 of file ezidentifiertype.php.

## ◆ START_VALUE_VARIABLE

const eZIdentifierType::START_VALUE_VARIABLE = "_ezidentifier_start_integer_value_"

Definition at line 27 of file ezidentifiertype.php.

The documentation for this class was generated from the following file:

- ezidentifiertype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.